Skip to main content
Infrastructure/Installer
GETInstallerSince 1.0SynchronousAuth Required

GetValidateStatus

Retrieve the current status of a previously initiated validation session

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Query Parameters

Request Inputs

Query Parameters

  • idString

    Optional filter to retrieve a specific validate session by ID Optional filter to retrieve a specific validate session by ID

Responses

200 OK

On success, this API returns the following response structure.

  • statusString

    Current validation status

    Example: passed

  • sessionObject

    Session for this resource

    • idString

      Unique identifier for this precheck session

      Example: precheck-a1b2c3d4

    • statusString

      Current status of the precheck session

      Example: passed

    • resultsList

      Results for this resource

      Example: (nested array)

      • nameString

        Name of the individual precheck item

        Example: agent-connectivity

      • passedBoolean

        Whether this check item passed

        Example: true

      • messageString

        Human-readable message describing the check result

        Example: All agents are reachable

      • fixString

        Suggested remediation action if the check did not pass

        Example: Ensure all agents have active heartbeats before proceeding

Endpoint

GET/api/v1/installer/validate/status

/api/v1/installer/validate/status

Operation ID

GetValidateStatus

Permalink

Request Example

curl -X GET '{host}/api/v1/installer/validate/status' -H 'Authorization: Bearer {token}'

Response Example

200
{
  "status": "passed",
  "session": {}
}

Change History

This API has no change history records yet.

View all change history